com.thinkaurelius.titan.graphdb.types.vertices

## Class EdgeLabelVertex

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.internal.AbstractElement
  - - com.thinkaurelius.titan.graphdb.vertices.AbstractVertex
    - - com.thinkaurelius.titan.graphdb.vertices.StandardVertex
      - - com.thinkaurelius.titan.graphdb.vertices.CacheVertex
        - - com.thinkaurelius.titan.graphdb.types.vertices.TitanSchemaVertex
          - - com.thinkaurelius.titan.graphdb.types.vertices.RelationTypeVertex
            - - com.thinkaurelius.titan.graphdb.types.vertices.EdgeLabelVertex

- All Implemented Interfaces:
    EdgeLabel, Idfiable, Namifiable, RelationType, TitanSchemaElement, TitanSchemaType, TitanElement, TitanVertex, InternalElement, InternalRelationType, InternalVertex, SchemaSource, Removable, com.tinkerpop.blueprints.Element, com.tinkerpop.blueprints.Vertex, Comparable<TitanElement>

      public class EdgeLabelVertex
      extends RelationTypeVertex
      implements EdgeLabel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.graphdb.types.SchemaSource

      `SchemaSource.Entry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdgeLabelVertex(StandardTitanTx tx, long id, byte lifecycle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDirected()` Checks whether this labels is defined as directed.
    `boolean` | `isEdgeLabel()` Checks if this relation type is an edge label
    `boolean` | `isPropertyKey()` Checks if this relation type is a property key
    `boolean` | `isUnidirected()` Checks whether this labels is defined as unidirected.
    `boolean` | `isUnidirected(com.tinkerpop.blueprints.Direction dir)`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.types.vertices.RelationTypeVertex

      `getBaseType, getConsistencyModifier, getKeyIndexes, getMultiplicity, getRelationIndexes, getSignature, getSortKey, getSortOrder, getTTL, isHiddenType, resetCache`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.types.vertices.TitanSchemaVertex

      `asIndexType, getDefinition, getEdges, getEdges, getName, getRelated, getStatus, getVertexLabelInternal, toString`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.CacheVertex

      `addToQueryCache, hasLoadedRelations, loadRelations`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.StandardVertex

      `addRelation, getAddedRelations, getLifeCycle, hasAddedRelations, hasRemovedRelations, remove, removeRelation, updateLifeCycle`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.AbstractVertex

      `addEdge, addEdge, addEdge, addProperty, addProperty, getCompareId, getEdgeCount, getEdges, getEdges, getId, getLabel, getProperties, getProperties, getProperties, getProperty, getProperty, getPropertyCount, getPropertyKeys, getRelations, getTitanEdges, getVertexLabel, getVertices, isConnected, isModified, it, query, removeProperty, removeProperty, setProperty, setProperty, tx`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.internal.AbstractElement

      `clone, compare, compareTo, equals, getLongId, hashCode, hasId, isHidden, isLoaded, isNew, isRemoved, isTemporaryId, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.EdgeLabel

      `getMultiplicity`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanVertex

      `addEdge, addEdge, addProperty, addProperty, getEdgeCount, getEdges, getEdges, getLabel, getProperties, getProperties, getProperties, getPropertyCount, getRelations, getTitanEdges, getVertexLabel, isConnected, isModified, query`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Vertex

      `addEdge, getVertices`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.Namifiable

      `getName`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalRelationType

      `getStatus`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalVertex

      `addRelation, getAddedRelations, hasAddedRelations, hasLoadedRelations, hasRemovedRelations, it, loadRelations, query, removeRelation`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `getLifeCycle, isHidden, setId, tx`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.types.SchemaSource

      `getLongId`

- - ### Constructor Detail

    - #### EdgeLabelVertex

          public EdgeLabelVertex(StandardTitanTx tx,
                         long id,
                         byte lifecycle)

  - ### Method Detail

    - #### isDirected

          public boolean isDirected()

      Description copied from interface: `EdgeLabel`
      Checks whether this labels is defined as directed.
      Specified by:
        `isDirected` in interface `EdgeLabel`
      Returns:
        true, if this label is directed, else false.

    - #### isUnidirected

          public boolean isUnidirected()

      Description copied from interface: `EdgeLabel`
      Checks whether this labels is defined as unidirected.
      Specified by:
        `isUnidirected` in interface `EdgeLabel`
      Returns:
        true, if this label is unidirected, else false.

    - #### isUnidirected

          public boolean isUnidirected(com.tinkerpop.blueprints.Direction dir)

      Specified by:
        `isUnidirected` in interface `InternalRelationType`

    - #### isPropertyKey

          public final boolean isPropertyKey()

      Description copied from interface: `RelationType`
      Checks if this relation type is a property key
      Specified by:
        `isPropertyKey` in interface `RelationType`
      Returns:
        true, if this relation type is a property key, else false.
      See Also:
        `PropertyKey`

    - #### isEdgeLabel

          public final boolean isEdgeLabel()

      Description copied from interface: `RelationType`
      Checks if this relation type is an edge label
      Specified by:
        `isEdgeLabel` in interface `RelationType`
      Returns:
        true, if this relation type is a edge label, else false.
      See Also:
        `EdgeLabel`

Copyright © 2012–2014. All rights reserved.